{
  inputs,
  lib,
  ...
}: {
  imports = [
    inputs.ironbar.homeManagerModules.default
  ];

  programs.ironbar = {
    enable = true;
    config = {
      "anchor_to_edges" = true;
      position = "top";
      start = [
        {
          "type" = "workspaces";
          "all_monitors" = false;
          # "name_map" = {
          #   "1" = "󰙯";
          #   "2" = "icon:firefox";
          #   "3" = "";
          #   "Games" = "icon:steam";
          #   "Code" = "";
          # };
          favorites = map (x: toString x) (lib.lists.range 1 8);
        }
      ];
      center = [
        {
          type = "clock";
        }
      ];
      end = [
        {
          type = "volume";
          format = "{icon}";
          max_volume = 100;
          icons = {
            volume_high = "󰕾";
            volume_medium = "󰖀";
            volume_low = "󰕿";
            muted = "󰝟";
          };
        }
        {
          type = "notifications";
          show_count = true;
          icons = {
            closed_none = "󰍥";
            closed_some = "󱥂";
            closed_dnd = "󱅯";
            open_none = "󰍡";
            open_some = "󱥁";
            open_dnd = "󱅮";
          };
        }
      ];
    };
    style = "";
    # package = inputs.ironbar;
    systemd = false;
  };

  systemd.user.services.ironbar = {
    Unit = {
      Description = "Systemd service for Ironbar";
      Requires = ["graphical-session.target"];
    };

    Service = {
      Type = "simple";
      ExecStart = "${inputs.ironbar}/bin/ironbar";
    };

    Install.WantedBy = [
      "hyprland-session.target"
    ];
  };
}
