{
  pkgs,
  config,
  ...
}: let
  package = pkgs.zellij;
  src = pkgs.fetchFromGitHub {
    owner = "zellij-org";
    repo = "zellij";
    rev = "v${package.version}";
    sha256 = "0mvkx5d69v4046bi9jr35rd5f0kz4prf0g7ja9xyh1xllpg8giv1";
  };
in {
  programs.zellij = {
    enable = true;
    inherit package;
    enableZshIntegration = true;
  };

  home.file.".config/zellij/config.kdl".source =
    config.lib.file.mkOutOfStoreSymlink
    "${config.home.homeDirectory}/Projects/nix-dots/user/modules/zellij/config.kdl";

  home.file.".config/zellij/themes" = {
    recursive = true;
    source = "${src}/zellij-utils/assets/themes";
  };
}
